Your message dated Fri, 12 Sep 2014 09:19:39 +0000
with message-id <e1xsn11-000407...@franck.debian.org>
and subject line Bug#728380: fixed in jetty8 8.1.16-1
has caused the Debian Bug report #728380,
regarding jetty8: Missing files
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
728380: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=728380
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: jetty8
Version: 8.1.3-4
Severity: important

Dear Maintainer,
I think some files are missing from jetty8 package.

First of all, the official Jetty documentation talks about a context deployer 
which monitors the ${jetty.home}/contexts directory to hot deploy webapps 
configured using appropriate xml files. The jetty8 Debian package provides such 
a directory in etc/jetty8/contexts, also providing an example javadoc.xml file 
which should allow to deploy the Jetty javadoc provided by libjetty8-java-doc 
package. However, there's no jetty-*.xml file in /etc/jetty8 which configures 
the ContextDeployer (or rather the ContextProvider, see below).
The provided file /etc/jetty8/contexts/README.TXT says that the ContextDeployer 
is configured in jetty.xml configuration file, but if you look at the contents 
of this file you'll see this is not the case. Also, if you start jetty8 with 
all the default contents, a welcome page is displayed which points to the 
javadoc, but this link does not work at all (even if you install 
libjetty8-java-doc) because the ContextDeployer is not actually configured.
/etc/jetty8/jetty-plus.xml also says ContextDeployer is configured in jetty.xml.
/ety/jetty8/jetty-shared-webapps.xml configures just the WebAppDeployer, 
although a comment says: "see ContextDeployer above"... but it's not there, 
either.

Also, reading the offical Jetty 8 documentation at 
http://download.eclipse.org/jetty/stable-8/apidocs, you'll see that 
WebAppProvider and ContextProvider should be used rather than WebAppDeployer 
and ContextDeployer, which are old and deprecated. So I would expect the Debian 
package to use the new classes, just like the official Jetty distribution ZIP 
file does (I checked that this was the case even in the old 8.1.3 distribution 
package, so it's not an issue with the old Jetty version packaged in Debian).

Another little error I saw is again in /etc/jetty8/jetty-shared-webapps.xml: 
the starting comment says that it configures Jetty to deploy webapps in 
/usr/share/java/webapps, but it should actually say /usr/share/jetty8/webapps.

Lastly, the libsetuid.so for Jetty 8 is missing, because there isn't any 
package corresponding to libjetty-extra used for Jetty 6.

-- System Information:
Debian Release: 7.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/1 CPU core)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages jetty8 depends on:
ii  adduser                                          3.113+nmu3
ii  apache2-utils                                    2.2.22-13
ii  default-jre-headless [java6-runtime-headless]    1:1.6-47
ii  libjetty8-java                                   8.1.3-4
ii  openjdk-6-jre-headless [java6-runtime-headless]  6b27-1.12.6-1~deb7u1

jetty8 recommends no packages.

Versions of packages jetty8 suggests:
pn  libjetty8-extra-java  <none>
pn  libjetty8-java-doc    <none>

-- Configuration Files:
/etc/default/jetty8 changed:
VERBOSE=yes
JETTY_HOST=0.0.0.0
JETTY_PORT=8080
JETTY_SHUTDOWN=300
JAVA_OPTIONS="-Xmx256m -Djava.awt.headless=true"
JDK_DIRS="/usr/lib/jvm/default-java"
JSP_COMPILER=javac
JETTY_TMP=/var/cache/jetty8
LOGFILE_DAYS=30


-- no debconf information

--- End Message ---
--- Begin Message ---
Source: jetty8
Source-Version: 8.1.16-1

We believe that the bug you reported is fixed in the latest version of
jetty8, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bourg <ebo...@apache.org> (supplier of updated jetty8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 11 Sep 2014 19:55:16 +0200
Source: jetty8
Binary: libjetty8-java libjetty8-java-doc libjetty8-extra-java jetty8
Architecture: source all
Version: 8.1.16-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Java Maintainers 
<pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Emmanuel Bourg <ebo...@apache.org>
Description:
 jetty8     - Java servlet engine and webserver
 libjetty8-extra-java - Java servlet engine and webserver -- extra libraries
 libjetty8-java - Java servlet engine and webserver -- core libraries
 libjetty8-java-doc - Javadoc for the Jetty API
Closes: 728380 756310
Changes:
 jetty8 (8.1.16-1) unstable; urgency=medium
 .
   * Team upload.
   * New upstream release
     - Refreshed the patches
     - Ignore the Maven dependency on the Mycila maven-license-plugin
   * Added authbind support to run Jetty on privileged ports
   * Updated the init.d script to detect the recent JDKs and ignore the old ones
     (Closes: #756310)
   * Fixed the version of the Servlet API in the poms (3.0 instead of 'debian')
   * debian/control:
     - Removed java5-runtime-headless from the acceptable runtime dependencies
       (Jetty 8 requires Java 6)
     - Use distinct descriptions for the jetty8 and libjetty8-java packages
     - jetty8 now depends on libjetty8-extra-java
     - libjetty8-java-doc depends on libservlet3.0-java-doc instead of
       libservlet2.5-java-doc
     - libjetty8-java-doc suggests libjetty8-java instead of libjetty-java
     - Depend on libmail-java instead of libgnumail-java
     - Updated the Homepage field
   * debian/rules: Install the upstream changelog
   * debian/watch: Watch the tags from the Git repository
   * debian/jetty8.init: Added the missing JETTY_CONF variable
   * debian/jetty8.init: Paths relative to JETTY_HOME are now recognized
     in /etc/jetty8/jetty.conf
   * Install the missing Jasper dependencies in /usr/share/jetty8/lib/jsp
   * Reuse and patch the configuration files from the upstream distribution
     instead of installing Debian specific files (Closes: #728380)
   * debian/copyright: Updated the missing file paths reported by Lintian
   * Switch to debhelper level 9
Checksums-Sha1:
 6a82b2033057771324462b7be0382938ffe62096 2479 jetty8_8.1.16-1.dsc
 46f98cb87ba70b304b7a22019bbc5a3565500454 2895174 jetty8_8.1.16.orig.tar.gz
 cb48e91a05c87f6fe769aa9a8159f77f2599508e 23892 jetty8_8.1.16-1.debian.tar.xz
 39c7682fefaa9684e94f920667390f890a6204ea 1665478 
libjetty8-java_8.1.16-1_all.deb
 4ec6066ab4b08a71ded848b4ce85e9f198d0277b 1372736 
libjetty8-java-doc_8.1.16-1_all.deb
 09d7362359bd0eddc453a0c3e9a70dfc41237fca 449594 
libjetty8-extra-java_8.1.16-1_all.deb
 0e1b3431dafd26d2c1621eb371defbeeeee69407 623156 jetty8_8.1.16-1_all.deb
Checksums-Sha256:
 d36188bdfa65bb2da6c22ab18a292de28752037c02608c4bb31570c690a74229 2479 
jetty8_8.1.16-1.dsc
 7f203926342f868184cd0889e75cadb54fb3bf1840f046f04769cac33c9e886c 2895174 
jetty8_8.1.16.orig.tar.gz
 ce431e155090676817b08ad1c5114857c7512bd64d6a4312f1d3828c41f063d8 23892 
jetty8_8.1.16-1.debian.tar.xz
 72396f4ec48b5872f907fe2585ca9e5a134cd9c600b3d19e2ed0675198d3a26a 1665478 
libjetty8-java_8.1.16-1_all.deb
 05686b35b025b85e3d296e9e17bc62fa651d0712eb4396fc4e16d4b530e9fd23 1372736 
libjetty8-java-doc_8.1.16-1_all.deb
 1dac7e2c225faf7f6a7d2d761c116dcadafb55128fe83cd100748d77fdcc4814 449594 
libjetty8-extra-java_8.1.16-1_all.deb
 5bc78ddc5bfcb261ffeb8f4274cbe50ecb6ba6d0d13d3e48e46bcab2db8ecde5 623156 
jetty8_8.1.16-1_all.deb
Files:
 14cab038106fc3ad4e1e4ed56174835f 1665478 java optional 
libjetty8-java_8.1.16-1_all.deb
 031b056c9e27fb241dc6739b6ae1c869 1372736 doc optional 
libjetty8-java-doc_8.1.16-1_all.deb
 b3158ffb7ae78fe205777114475ee7dc 449594 java optional 
libjetty8-extra-java_8.1.16-1_all.deb
 6b1b78268a417bb3929d2df7f70877ac 623156 java optional jetty8_8.1.16-1_all.deb
 793fb39d939052a39f386c648bf517b2 2479 java optional jetty8_8.1.16-1.dsc
 4709ed6ab45972f364ed63c4fab36ef8 2895174 java optional 
jetty8_8.1.16.orig.tar.gz
 4428dc0e7786ee5a162364a1c2b9edda 23892 java optional 
jetty8_8.1.16-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJUEra4AAoJEPUTxBnkudCswX0P/iYDKIj6rqfWr62FAS1H7buV
vKI46B+TjAKU15MQ/ibFX8hDMgRwUNyoCK8iB7AMZ13ifCv8NNrPp83ZhdBL2Kto
Gyb8oPW3zwd5xHz1SLyhrp77xSXBbz3nuWxbBpnMc+xAm4YxfWBq2rTc68NbLlRM
ip/crgpRxMtRqa4pGgrP1oJG2uKeiU26DzBiVOKIsE5+INNdtFF2JDvZYNjNhaxX
k+0PCf/y8VD+pVr/ALYGEr5eBlZcbUSlODJldvhgICvl9QORIzOlhZb80x1j0Qqt
K0zyLjFm/qB2WiaBlqu/9Ve//wwq0OE0v7c/O9FrjwjyxL6SToG6AFu+O2IwPuLx
H2MN3pDFMXckKjuqnTzCTlUL7nunzPF629nyMPVbMsuSlLBzCREhcg1BA/sx1sb1
GPzEfNwKUdwLnABTiRBYiAW9KVk3lcXtIbW1Z7LWAWysIIKUGDVot8FjJrWUdFyi
R06YFTGTnWRvPyd2OWTS+0u9vrydwpKKwZgy0qJk4YnjNrSVo1fXaux49JvbNNHH
5Z6wPEz2UBYLiA80zAYYUnm6UTSskwHgWsjcYXhSvlLa9lM+/lR0QbBuEfNioh4v
VPg2xhH2fNM1uJuxsV9zA9vZNCeRbQTslFSLE6jLx0A9SDCXojP9VksduPzDWO4O
Fkz7nYodMqXUtzwtSqZy
=PIVU
-----END PGP SIGNATURE-----

--- End Message ---
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to